/*
 * ADC.h
 *
 *  Created on: Feb 26, 2012
 *      Author: RomanM
 */

#ifndef ADC_H_
#define ADC_H_

typedef enum {
	SENSOR1 = 0,
	SENSOR2 = 1,
	TEMP = 2
} adc_channel_t;

void ADC1_Init(void);
void ADC1_InterruptHandler(void);
uint16_t ADC1_GetValue(uint8_t channel);
uint16_t ADC1_GetValueFilt(uint8_t channel);
float ADC1_Temperature(void);

#endif /* ADC_H_ */
